package com.dayou.service;
import com.dayou.entity.GlobalConfig;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.BrokerageConfigVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 全局配置 服务类
 * </p>
 *
 * @author wucl
 * @since 2022-12-07
 */
public interface IGlobalConfigService extends IService<GlobalConfig> {

        Page<GlobalConfig> selectPage(Page page,GlobalConfig globalConfig);

        GlobalConfig detail(Long id);

        Boolean add(GlobalConfig globalConfig);

        Boolean update(GlobalConfig globalConfig);

        Boolean delete(Long id);

        String getValue(String key,String field);

        BigDecimal getMathValue(String key, String field);

        BigDecimal getValueByFiled(String filed);

        GlobalConfig getGlobalConfig(String key, String field);

        List<GlobalConfig> getConfigByKey(String key);
}
